/* $Id: GSWysiwygPanel.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.smleditor.swingui;

import javax.swing.JToolBar;
import javax.swing.event.DocumentListener;

import smart_gs.swingui.toolbar.GSEditorToolBar;
import sml_editor.swingui.EditorFrame;
import sml_editor.swingui.EditorMouseListener;
import sml_editor.swingui.wysiwyg.WysiwygPanel;


@SuppressWarnings("serial")
public class GSWysiwygPanel extends WysiwygPanel{

	public GSWysiwygPanel(EditorFrame parent,GSEditorTextPane textPane) {
		super(parent,textPane);
	}
	@Override
	public DocumentListener getDocumentListener() {
		return new GSWysiwygDocumentListener((GSEditorTextPane)this.textPane);
	}
	@Override
	public EditorMouseListener getMouseListener() {
		return new GSWysiwygMouseListener((GSEditorTextPane)this.textPane);
	}
	@Override
	public JToolBar getToolbar() {
		return new GSEditorToolBar((GSEditorTextPane)this.textPane);
	}
	
}
